Available in Classic and VPC
Get an SSL certificate you have.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | /api/v2/certificate/certificates |
Request headers
For information about the request headers common to all Certificate Manager APIs, see Certificate Manager request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
page |
Integer | Optional | Page number |
pageSize |
Integer | Optional | Number of items per page |
certificateName |
String | Optional | Limit results by certificate name. |
Request example
The request example is as follows:
curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/certificates' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
returnCode |
String | - | Response code |
returnMessage |
String | - | Response message |
totalCount |
Integer | - | Total number of lists searched |
sslCertificateList |
Array | - | Certificate list: sslCertificateList |
sslCertificateList
The following describes sslCertificateList.
| Field | Type | Required | Description |
|---|---|---|---|
certificateNo |
Integer | - | Certificate number |
certificateName |
String | - | Certificate name |
memberNo |
String | - | NAVER Cloud Platform user member ID |
commonName |
String | - | Domain to be included in the certificate CN (Common Name) |
dnsName |
String | - | List of domains to be included in the certificate SAN (Subject Alternative Name) |
statusCode |
String | - | Certificate status code
|
statusName |
String | - | Certificate status
|
certificateType |
String | - | Certificate type
|
domainCode |
String | - | Issuance-based domain
|
updateDate |
String | - | Last change date and time
|
issueType |
String | - | Issuance status: Use to verify whether the certificate can be reissued.
|
subjectDN |
String | - | Certificate distinguished name (DN) information |
registDate |
String | - | Certificate registration date and time
|
notBefore |
String | - | Certificate validity start date and time
|
notAfter |
String | - | Certificate expiration date and time
|
issueDate |
String | - | Certificate issuance date and time
|
revokeDate |
String | - | Certificate revocation date and time
|
issuer |
String | - | Certificate authority (CA) name |
serialNumber |
String | - | Certificate serial number |
signatureAlgorithm |
String | - | Signature algorithm |
certPublicKeyInfo |
String | - | Public key information |
orderId |
String | - | Certificate issuance request ID |
usedInstanceNoList |
String | - | List of instances using the certificate
|
Response status codes
For information about the response status codes common to all Certificate Manager APIs, see Certificate Manager response status codes.
Response example
The response example is as follows:
{
"returnCode": "0",
"returnMessage": "Success",
"totalCount": 42,
"sslCertificateList": [
{
"certificateNo": 102345,
"certificateName": "ncloud-ov-cert-01",
"memberNo": "3001287",
"commonName": "api.ncloud.com",
"statusCode": "0",
"statusName": "Ongoing",
"certificateType": "NCP_PAID_OV_01",
"domainCode": "PUB",
"updateDate": "2026-01-12 13:50:02(UTC+09:00)",
"orderId": "NC-20260112-001",
"issueType": "REPRESENTATIVE",
"subjectDN": "cn=api.ncloud.com,o=NAVER Cloud Trust Services Corp.,l=Seongnam-si,s=Gyeonggi-do,c=KR",
"registDate": "2026-01-12 13:45:10(UTC+09:00)",
"notAfter": "2027-01-12 23:59:59(UTC+09:00)"
},
]
...
}